Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004394Endian FirewallHardware related (kernel, drivers, hardware)public2012-07-18 16:452013-11-26 16:39
ReporterEDV-Team 
Assigned Toluca-endian 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.5 
Target VersionFixed in Versionfuture 
Summary0004394: Support for Intel 82580 based network cards (Ethernet-Server-Adapter I340-T4)
DescriptionThe Intel Ethernet-Server-Adapter I340-T4 and other Intel 82580 based network cards don't work on Endian 2.5.1.
There is a Linux driver on the Intel website:
http://downloadcenter.intel.com/detail_desc.aspx?agr=Y&DwnldID=13663 [^]

Please add this driver to EFW Community Edition or provide a Kernel source package so that users can compile the driver itself.

Thank you very much!
Tagspurple
Attached Files

- Relationships

-  Notes
(0008011)
svenasse (reporter)
2012-08-16 17:42

I'm using the commercial version of Endian 2.5 and am having issues with the Intel 82580 support. This was not an issue with Endian 2.4.

/lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb.ko.gz is the 1.3.9 version and is loaded by modprobe. This version does not work. Endian 2.5 install didn't even recognise that I had the card as /etc/modprobe.conf made no mention of the igb driver. I had to either add "alias eth igb" to /etc/modprobe.conf or executed "modprobe igb" and see from dmesg that it loaded 1.3.9 but not initialse the 4 ethernet ports.

/lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko is the 2.4.8 version and was installed by the kernel-module-igb-2.4.8-2.endian2_2.6.32.43_57.e43.rpm. While this version is two years old it does work with my hardware. I could only test this by using insmod. This was how our server was able to limp through the day yesterday.

Last night I applied the e44 updates with no resolution to the problem. I then did a second clean install from the Endian 2.5 ISO. I caught the error when I ran "modinfo igb" and noted the 1.3.9 version and location of this driver.

My solution was:
# gzip -c9 /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko > /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb.ko.gz
# vi /etc/modprobe.conf (add "alias eth igb")
# depmod -a
# shutdown -r now

This process had to be repeated after I applied the e44 updates.
(0008305)
dbinary (reporter)
2012-11-13 20:29
edited on: 2012-11-13 20:30

The procedure that worked for me in endian UTM 2.5 is:

# gzip -c9 /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko > /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb/igb.ko.gz
# vi /etc/modprobe.conf (add "alias eth igb")
# modprobe igb
# depmod -a
# reboot

(0008364)
EDV-Team (reporter)
2013-01-23 11:03

Thank you very much for your feedback! It works! :)

All i have to do was:
1. Switch to development channel with 'efw-upgrade -s'
2. smart install igb
3. gzip -c9 /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko > /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb.ko.gz
4. vi /etc/modprobe.conf (add "alias eth igb")
5. depmod -a
6. reboot
(0008371)
d072330 (reporter)
2013-02-13 07:25

How do you do this if you cannot get past the wizard? I have tried to connect to the serial port to install the Intel drivers but have had no luck getting connected.
(0008372)
EDV-Team (reporter)
2013-02-13 09:05

Our Endian Firewall is running on a Dell PowerEdge R210 Server that has two Broadcom on-board NICs. We changed only the additional PCIe Broadcom network card with the Intel Server Adapter to have 6 Ethernet ports instead of 4 ports.

If you have no other working network card in your system, than it's really hard to install the Intel network drivers.
(0008373)
d072330 (reporter)
2013-02-13 15:55

I have one working NIC.
(0008375)
dbinary (reporter)
2013-02-13 19:21

Is not necessary pass the wizard only connect a monitor and press 0 option from menu, after enable ssh service login to ssh and follow the steps.


# gzip -c9 /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko > /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb/igb.ko.gz
# vi /etc/modprobe.conf (add "alias eth igb")
# modprobe igb
# depmod -a
# reboot
(0008376)
d072330 (reporter)
2013-02-13 19:50

This directory does not exist on my machine.

/lib/modules/2.6.32.43-57.e43/kernel/drivers/net/

I only have this directory: /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb/

Do I need to do something with this file first (igb-4.1.2.tar.gz)?
(0008377)
EDV-Team (reporter)
2013-02-13 21:14

You need an Internet connection on your Endian Firewall to download the IGB driver package from Endians "development channel". Use 'efw-upgrade -s' to switch to this channel and 'smart install igb" to download and install the driver package.
(0008378)
d072330 (reporter)
2013-02-15 00:56

got to internet did these steps:

1. Switch to development channel with 'efw-upgrade -s'
2. smart install igb
3. gzip -c9 /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko > /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/igb.ko.gz
4. vi /etc/modprobe.conf (add "alias eth igb")
5. depmod -a
6. reboot

When I rebooted it still did not see the extra NIC's. When I do a lsmod | grep igb nothing shows but if we grep for igb we get this:

kernel-module-igb-2.4.8-2.endian2_2.6.32.43_57.e43
igb-2.4.8-2.endian2_2.6.32.43_57.e43

Why after reboot is the driver not sticking?
(0008379)
EDV-Team (reporter)
2013-02-15 06:34

Try this:
1. cp /lib/modules/2.6.32.43-57.e43/kernel/drivers/net/igb.ko /lib/modules/2.6.32.43-57.e43.i586/kernel/drivers/net/
2. modprobe igb
3. depmod -a
4. reboot
(0008382)
d072330 (reporter)
2013-02-19 06:23

What worked for us was getting the latest Intel driver and installing it.
(0008463)
luca-endian (developer)
2013-08-26 10:37

I think this should be fixed with 2.5.2
(0008466)
EDV-Team (reporter)
2013-08-26 11:29

No! Intel 82580 based network cards are still not supported in Endian 2.5.2, because the Intel IGB driver included in Kernel 2.6.32 is too old and doesn't support this chipset!

IGB driver version in Endian 2.5.2 is: 1.3.16
To get Intel 82580 based cards to work we need at least driver version 2.4.x.
(Because of this there was a separate IGB driver package for a while in the Endian 2.5.1 development channel that includes driver version 2.4.8)

Please provide a newer Intel IGB driver to support these cards!
(Latest Version of the driver is 5.0.5)
(0008514)
Mike_Seaman (reporter)
2013-09-06 17:35

I have confirmed this issue. I can replicate on upgrade and clean install.
Please 'rpmbuild -tb igb.tar.gz' latest IGB driver 5.0.5 from https://downloadcenter.intel.com/confirm.aspx?httpDown=http://downloadmirror.intel.com/13663/eng/igb-5.0.5.tar.gz&lang=eng&Dwnldid=13663 [^]

or allow us to download kernel-dev SRPMS so that we can compile our own drivers.

thank you
(0008551)
Mike_Seaman (reporter)
2013-10-09 17:36

bump. This fix will only take 20 minutes. what is the status?
(0008552)
Anonymous (viewer)
2013-11-26 16:39

http://jira.endian.com/browse/CORE-629 [^]

- Issue History
Date Modified Username Field Change
2012-07-18 16:45 EDV-Team New Issue
2012-08-16 17:42 svenasse Note Added: 0008011
2012-08-16 18:33 ardit-endian Tag Attached: purple
2012-08-16 18:33 ardit-endian Status new => confirmed
2012-11-13 20:29 dbinary Note Added: 0008305
2012-11-13 20:30 dbinary Note Edited: 0008305 View Revisions
2013-01-23 11:03 EDV-Team Note Added: 0008364
2013-02-13 07:25 d072330 Note Added: 0008371
2013-02-13 09:05 EDV-Team Note Added: 0008372
2013-02-13 15:55 d072330 Note Added: 0008373
2013-02-13 19:21 dbinary Note Added: 0008375
2013-02-13 19:50 d072330 Note Added: 0008376
2013-02-13 21:14 EDV-Team Note Added: 0008377
2013-02-15 00:56 d072330 Note Added: 0008378
2013-02-15 06:34 EDV-Team Note Added: 0008379
2013-02-19 06:23 d072330 Note Added: 0008382
2013-08-07 10:34 EDV-Team Note Added: 0008450
2013-08-07 14:08 EDV-Team Note Deleted: 0008450
2013-08-26 10:37 luca-endian Note Added: 0008463
2013-08-26 10:37 luca-endian Assigned To => luca-endian
2013-08-26 10:37 luca-endian Status confirmed => feedback
2013-08-26 11:29 EDV-Team Note Added: 0008466
2013-08-26 11:29 EDV-Team Status feedback => new
2013-09-06 17:35 Mike_Seaman Note Added: 0008514
2013-10-09 17:36 Mike_Seaman Note Added: 0008551
2013-11-26 16:39 Anonymous Note Added: 0008552
2013-11-26 16:39 Anonymous Status new => resolved
2013-11-26 16:39 Anonymous Fixed in Version => future
2013-11-26 16:39 Anonymous Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker